<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <rich:dataTable value="#{gui.getValidatorInputs()}"
                    var="input" id="filesTable">
        <ui:include src="/xval/uploadFileColumns.xhtml"/>
        <g:column id="actionColumn">
            <ui:define name="header">#{messages['net.ihe.gazelle.xval.UploadedFiles']}
            </ui:define>
            <s:div id="listFileDiv">
                <a4j:repeat value="#{gui.getHandledObjects(input)}" var="entry">
                    <h:commandLink
                            action="#{gui.export(entry)}"
                            title="#{messages['net.ihe.gazelle.xval.ViewFile']}" target="_blank">
                        <h:outputText value="#{entry.originalFileName}"/>
                    </h:commandLink>
                    <a4j:commandLink
                            actionListener="#{gui.remove(entry)}"
                            render="filesTable :buttons :globalDiv :selectValidatorForm"
                            title="#{messages['net.ihe.gazelle.xval.RemoveThisFile']}"
                            styleClass="action"
                            rendered="#{not gui.isValidationDone()}">
                        <s:span styleClass="gzl-icon-trash-o "/>
                    </a4j:commandLink>
                </a4j:repeat>
                <a4j:commandLink
                        actionListener="#{gui.setSelectedInput(input)}"
                        render="uploadFilePopupContent"
                        oncomplete="jq162('#uploadFilePopup').modal('show');"
                        title="#{messages['net.ihe.gazelle.xval.UploadAFile']}" styleClass="action"
                        rendered="#{not gui.isValidationDone() and gui.isUploadNeeded(input)}">
                    <s:span styleClass="gzl-icon-upload" />
                </a4j:commandLink>
            </s:div>
        </g:column>
    </rich:dataTable>
</ui:composition>